import { Reducer } from 'react';
import { CachedValueType } from './base/ux4iot-shared';
type DeviceId = string;
type TelemetryKey = string;
export type TelemetryValue = {
    value: CachedValueType;
    timestamp: string | undefined;
};
export type TelemetryState = Record<DeviceId, Record<TelemetryKey, TelemetryValue>>;
export type ADD_DATA_ACTION = {
    type: 'ADD_DATA';
    deviceId: string;
    message: Record<string, any>;
    timestamp?: string;
};
export type TelemetryAction = ADD_DATA_ACTION;
export declare const telemetryReducer: Reducer<TelemetryState, TelemetryAction>;
export {};
