import { GrantErrorCallback, SubscriptionErrorCallback, ConnectionStateCallback } from './base/types';
type UseMultiConnectionStateOutput = {
    addConnectionState: (deviceId: string) => Promise<void>;
    removeConnectionState: (deviceId: string) => Promise<void>;
    toggleConnectionState: (deviceId: string) => Promise<void>;
    isSubscribed: (deviceId: string) => boolean;
    connectionStates: Record<string, boolean>;
    currentSubscribers: string[];
};
type HookOptions = {
    initialSubscribers?: string[];
    onData?: ConnectionStateCallback;
    onGrantError?: GrantErrorCallback;
    onSubscriptionError?: SubscriptionErrorCallback;
};
export declare const useMultiConnectionState: (options: HookOptions) => UseMultiConnectionStateOutput;
export {};
